Index: branches/2.4/INSTALL/debian/squeeze/etc/postfix/main.cf
===================================================================
--- branches/2.4/INSTALL/debian/squeeze/etc/postfix/main.cf	(revision 5883)
+++ branches/2.4/INSTALL/debian/squeeze/etc/postfix/main.cf	(revision 7293)
@@ -76,5 +76,5 @@
 grupos_chase_referral = 0
 grupos_search_base = $ldapbase
-grupos_query_filter = (&(cn=%u)(objectClass=posixGroup)(phpgwAccountType=g))
+grupos_query_filter = (&(mail=%u)(objectClass=posixGroup)(phpgwAccountType=g))
 grupos_bind = no
 grupos_domain = hash:/etc/postfix/expresso-dominios
Index: branches/2.4/INSTALL/arquivos/scripts/aux.sh
===================================================================
--- branches/2.4/INSTALL/arquivos/scripts/aux.sh	(revision 6261)
+++ branches/2.4/INSTALL/arquivos/scripts/aux.sh	(revision 7293)
@@ -58,4 +58,9 @@
 }
 
+log_erro () 
+{ 
+        echo "$1" 
+}
+
 qualSO ()
 {
@@ -107,7 +112,4 @@
 }
 
-qualSO
-echo $OSSTR
-
 validaSO ()
 {
Index: branches/2.4/INSTALL/arquivos/scripts/http.sh
===================================================================
--- branches/2.4/INSTALL/arquivos/scripts/http.sh	(revision 7228)
+++ branches/2.4/INSTALL/arquivos/scripts/http.sh	(revision 7293)
@@ -26,8 +26,8 @@
 	get_org
 	# Faz backup do hosts
-	cp -f /etc/hosts /etc/hosts.`date "+%s"`
+	cp -f /etc/hosts /etc/hosts.`date "+%s"` || log_erro "Erro ao copiar o /etc/hosts!"
 	NOVOHOSTS=`mktemp`
 	echo "127.0.0.1 $DOMAIN localhost `hostname`" > $NOVOHOSTS
-	cat /etc/hosts >> $NOVOHOSTS
+	cat /etc/hosts >> $NOVOHOSTS || log_erro "Erro ao agregar o /etc/hosts!"
 	mv -f $NOVOHOSTS /etc/hosts
 	
@@ -52,5 +52,5 @@
 	apt-get install -y apache2-mpm-prefork libapache2-mod-php5 apache2-utils \
 		php5 php5-common php5-dev php5-gd php5-imap php5-ldap php5-pgsql php5-cgi php5-cli php5-curl php5-xmlrpc php5-memcache php5-pspell \
-		libgv-php5 zip unzip memcached libmemcached5
+		libgv-php5 zip unzip memcached
 	# Copia os arquivos do Expresso Livre
 	cpexpresso "/var/www"
@@ -69,4 +69,6 @@
 {
 	http_debian
+	# O nome do pacote do memcache no Debian ÃÂ© diferente do Ubuntu 
+ 	apt-get -y install libmemcached5 || log_erro "Pacote nao encontrado"
 	# Copia a configuraÃ§Ã£o do servidor apache2
 	cp -a debian/squeeze/etc/apache2/apache2.conf /etc/apache2/
@@ -87,4 +89,6 @@
 {
 	http_debian_6
+	# O nome do pacote do memcache no Debian ÃÂ© diferente do Ubuntu 
+ 	apt-get -y install libmemcached6 
 	cp -a ubuntu/11.10/.htaccess $DIR_EXPRESSO
         cp -a ubuntu/11.10/etc/apache2/apache2.conf /etc/apache2/
Index: branches/2.4/INSTALL/arquivos/scripts/bd.sh
===================================================================
--- branches/2.4/INSTALL/arquivos/scripts/bd.sh	(revision 6261)
+++ branches/2.4/INSTALL/arquivos/scripts/bd.sh	(revision 7293)
@@ -18,7 +18,6 @@
 	
 	rm -rf $DIR_PG*
-	su - postgres -c "env LANG=pt_BR.ISO-8859-1 initdb --encoding=LATIN1 -D $DIR_PG"
-	#su - postgres -c "export LANG=pt_BR.ISO-8859-1; initdb --encoding=LATIN1 -D $DIR_PG"
-	#su - postgres -c "env LANG=LATIN1 initdb --locale=pt_BR.iso88591 --encoding=LATIN1 -D $DIR_PG"
+	su - postgres -c "env LC_ALL=C initdb --encoding=LATIN1 -D $DIR_PG" 
+ 	#su - postgres -c "env LANG=pt_BR.ISO-8859-1 initdb --encoding=LATIN1 -D $DIR_PG"
 	sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD/$LDAP_PWD/g" -e "s/ou=ORG/ou=$ORG/g" -e "s/DOMAIN/$DOMAIN/g" $ARQS/expresso.dump > /tmp/expresso.dump
 	
@@ -31,6 +30,6 @@
 create_db ()
 {
-	su - postgres -c 'dropdb expresso'  || { echo "Banco expresso nÃ£o existia. [OK]"; }
-	su - postgres -c 'createdb -E LATIN1 expresso'  || { echo "Falha na criaÃ§Ã£o do banco expresso."; exit 1; }
+	su - postgres -c 'dropdb expresso'  || { echo "Banco expresso nao existia. [OK]"; }
+	su - postgres -c 'createdb -E LATIN1 expresso'  || { echo "Falha na criacao do banco expresso."; exit 1; }
 	su - postgres -c 'psql -f /tmp/expresso.dump expresso'
 }
@@ -91,6 +90,5 @@
 
         bd $DIR_PG $PG_CONF $PG_HBA $DIR_CONF
-        #rm -f $DIR_PG/postgresql.conf
-        #rm -f $DIR_PG/pg_hba.conf
+        #rm -f $DIR_PG/{postgresql.conf,pg_hba.conf}
         /etc/init.d/postgresql start
 
Index: branches/2.4/INSTALL/rhel/6/etc/postfix/main.cf
===================================================================
--- branches/2.4/INSTALL/rhel/6/etc/postfix/main.cf	(revision 5883)
+++ branches/2.4/INSTALL/rhel/6/etc/postfix/main.cf	(revision 7293)
@@ -76,5 +76,5 @@
 grupos_chase_referral = 0
 grupos_search_base = $ldapbase
-grupos_query_filter = (&(cn=%u)(objectClass=posixGroup)(phpgwAccountType=g))
+grupos_query_filter = (&(mail=%u)(objectClass=posixGroup)(phpgwAccountType=g))
 grupos_bind = no
 grupos_domain = hash:/etc/postfix/expresso-dominios