Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7270)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7296)
@@ -1911,11 +1911,4 @@
 }
 
-
-MailArchiver.prototype.searchMessageByFilter = function (query) {
-	ArchiveServices.listMessages(expresso_mail_archive.searchOperationOK, expresso_mail_archive.searchOperationFailure, expresso_mail_archive.session.id, query);        
-}
-
-
-
 MailArchiver.prototype.searchOperationOK = function(returnService){
     if(returnService.getReturn().length > 0){
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/abas.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/abas.js	(revision 6960)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/abas.js	(revision 7296)
@@ -220,5 +220,7 @@
 			var id_border = currentTab.replace(/[a-zA-Z_]+/, "");
 			ID_TR = ID.toString().substr(0,ID.toString().indexOf("_r"));
-			var tr = Element(ID_TR);
+			//Marcosw inicio - tratamento para abrir abas de mensagens a partir de busca local
+			var tr = Element(ID_TR) ? Element(ID_TR) : Element(ID_TR+"_s"+id_border);
+			//Marcosw fim
 			openTab.imapBox[ID] = (tr.getAttribute('name') == null?get_current_folder():tr.getAttribute('name'));
 		}else
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/main.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/main.js	(revision 7270)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/main.js	(revision 7296)
@@ -1040,5 +1040,13 @@
 	var remove_currente_folder = "";
 	var id_border = currentTab.replace(/[a-zA-Z_]+/, "");
-	
+
+	//Marcosw inicio - Inserida validação para não poder manipular mensagens locais na busca
+	if (currentTab.indexOf('search_local') != -1 || proxy_mensagens.is_local_folder(new_folder))
+	{
+		alert(get_lang("You cant manipulate local messages on search"));
+		return;
+	}
+	//Marcosw fim
+
 	var delete_msg = false;
 	
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/search.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/search.js	(revision 6910)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/search.js	(revision 7296)
@@ -413,4 +413,5 @@
 	searchE.prototype.viewLocalMessage = function()
 	{
+		/*
 		var data		  	= [2];
 		var gears			= [];
@@ -449,4 +450,18 @@
 						
 			EsearchE.mount_result( data, 'SORTDATE' );
+		}
+		*/
+
+		var data		  	= [2];
+		var gears			= [];
+		var local_folders	= [];
+         
+    	//MailArchiver - local data
+        if ( preferences.use_local_messages == 1 )
+		{
+        	data['data_gears']	= expresso_mail_archive.search_queryresult;
+            data['num_msgs']	= expresso_mail_archive.search_queryresult.length;
+	        write_msg( data['num_msgs'] + " " + get_lang("results found"));
+			EsearchE.mount_result(data , 'SORTDATE');
 		}
 	}
@@ -735,6 +750,7 @@
 				td.onclick		= _onclick;
 
-				if( validate_date( aux.udate ) )
-				{
+				//Marcosw inicio - mudança de tipo de parametro para evitar inconsistencia
+				if(validate_date(new String(aux.udate))){
+				//Marcosw fim
 					var td1 = aux.udate;
 				}
@@ -1646,5 +1662,5 @@
 	searchE.prototype.quickSearchMail = function(value, page, sort, border_id)
 	{
-		var local_folders = new Array();
+		var local_folders = new Array;
 		var temp;
 		var not_found_corrent_folder = true;
@@ -1657,12 +1673,8 @@
 		}
 		
+		//Marcosw inicio - Inserido valor vazio no array para representar todas as pastas locais
 		if (preferences.use_local_messages == 1)
-		{
-			temp = expresso_local_messages.list_local_folders();
-			for (var x in temp)
-			{
-				local_folders.push(temp[x][0]);
-			}
-		}
+			local_folders.push("");
+		//Marcosw fim
 
 		this.sort		= sort || this.sort || "SORTDATE";
@@ -1711,5 +1723,7 @@
 			    write_msg( "pesquisando " + labels[0] + link, true );
 			    var keepFilled = false;
-			    
+			    //Marcosw inicio - inserida variável de controle para correta manipulação das mensagens locais
+			    var local_messages_link = true;
+			    //Marcosw fim
 
 			    var handler = function( data )
@@ -1723,5 +1737,6 @@
 					};
 
-					// Gears - local
+					//Marcosw inicio - removido codigo antigo gears
+					/*Gears - local
 					if ( local_folders.length > 0 ){
 						expresso_local_messages.setSortType('SORTDATE');
@@ -1736,10 +1751,31 @@
 							}else
 								allMsg['gears_num_msgs'] = tmp.length;
-        }
+        			}
 
 					if( !allMsg['num_msgs'] && !url.length && not_found_corrent_folder){
 						clean_msg();
 						return EsearchE.viewLocalMessage();
-					}
+					}*/
+					//Marcosw fim
+
+					//Marcosw inicio - adaptando codigo novo mailarchiver
+	                if(local_messages_link){ //Código executado apenas na primeira vez.
+		                if ( local_folders.length > 0 ){
+		                    expresso_mail_archive.search_queryresult = null; //Limpa a variável global para não exibir resultados anteriores
+		                    expresso_mail_archive.search(local_folders, "##ALL <=>" + url_encode(value) + "##");
+		                    tmp = expresso_mail_archive.search_queryresult;
+		                    if(tmp == null){
+		                        tmp = new Object();
+		                        tmp.length = 0;
+		                    }
+		                }
+		                EsearchE.localResults = tmp.length;
+
+		                if( tmp.length > 0 )
+		                {
+		                    allMsg['gears_num_msgs'] = tmp.length ;
+		                }
+	                }
+	                //Marcosw fim
 
 					if( allMsg['num_msgs'] )
@@ -1754,4 +1790,7 @@
 							async: true,
 							success: function(data){
+								//Marcosw inicio - inserida variável de controle para correta manipulação das mensagens locais
+								local_messages_link = false;
+								//Marcosw fim
 								handler(data);
 							},
@@ -1759,5 +1798,5 @@
 								connector.showProgressBar();
 							},
-							  complete: function( jqXHR, settings ){
+							complete: function( jqXHR, settings ){
 								connector.hideProgressBar();
 							}
@@ -1769,5 +1808,5 @@
 					
 			    }
-			    
+
 			    xhr = $.ajax({
 				url: 'controller.php?action='+url.shift(),
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js	(revision 7248)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/messages_controller.js	(revision 7296)
@@ -742,8 +742,4 @@
 			
 		expresso_mail_archive.Archive("INBOX", "inbox", msgs_number);
-		
-		var query_data = '<?xml version="1.0" encoding="UTF-8"?><query subject="Convite"><folder id="inbox"/><order asc="date"/></query>';
-		//var xx = expresso_mail_archive.search("inbox", query_data);
-		var xx = expresso_mail_archive.searchMessageByFilter(query_data);
 	}
 	