Index: sandbox/2.4.3-expresso-rest/prototype/modules/mail/templates/new_message.ejs
===================================================================
--- sandbox/2.4.3-expresso-rest/prototype/modules/mail/templates/new_message.ejs	(revision 7113)
+++ sandbox/2.4.3-expresso-rest/prototype/modules/mail/templates/new_message.ejs	(revision 7341)
@@ -1,4 +1,4 @@
 <div class="new-msg-head-buttons table_message ui-widget-header" style="width:100%; clear: both; display: inline-block; height: 30px;">
-	<div class="new-msg-head-left-buttons" style="float: left; margin: 3px;">		
+	<div class="new-msg-head-left-buttons" style="float: left; margin: 3px; white-space: nowrap;">		
 		<button class="send button small" title="<%= get_lang("Send Mail") %>"><%= get_lang("Send") %></button>
 		<%
@@ -31,5 +31,5 @@
 		%>
 	</div>
-	<div class="new-msg-head-right-buttons" style="float: right; margin: 3px; margin-rigth: 5px;">
+	<div class="new-msg-head-right-buttons" style="float: right; margin: 3px; margin-rigth: 5px; white-space: nowrap;">
 		<button class="button small cc-button"><%= get_lang("Add CC") %></button>
 		<%if(allow_hidden_copy){ %>
Index: sandbox/2.4.3-expresso-rest/calendar/templates/default/js/edit_exmail.js
===================================================================
--- sandbox/2.4.3-expresso-rest/calendar/templates/default/js/edit_exmail.js	(revision 7179)
+++ sandbox/2.4.3-expresso-rest/calendar/templates/default/js/edit_exmail.js	(revision 7341)
@@ -359,21 +359,23 @@
 function extractLast( term ) {
 	return split( term ).pop();
-}		
+}
 
 function updateDynamicContact(){
 	dynamicContacts = new Array();
-	var dynamicData = REST.get("/dynamiccontacts").collection.itens;
-	if(dynamicData){
-		$.each(dynamicData, function(index, value){
+    var dynamicUsers = REST.get("/dynamiccontacts");
+    if(dynamicUsers.collection && !dynamicUsers.collection.error){
+        var dynamicData = normalizeContacts(dynamicUsers.collection.itens)
+
+        $.each(dynamicData, function(index, value){
 			if(index ==0){
-				topContact = parseInt(value.data[2].value);
+				topContact = parseInt(value['number_of_messages']);
 			}
 			var dynamic = {
-				name : value.data[0].value,
-				mail : value.data[1].value,
-				value: value.data[0].value + " - " + value.data[1].value,
+				name : value.name,
+				mail : value.mail,
+				value: value.name + " - " + value.mail,
 				type: "",
-				id: parseInt(value.data[3].value),
-				qtd : parseInt(value.data[2].value)
+				id: value.id,
+				qtd : value['number_of_messages']
 			};
 			dynamicContacts.push(dynamic);
@@ -382,20 +384,38 @@
 }
 
-
 function updateDynamicPersonalContacts(){
 	dynamicPersonalContacts = new Array();
-	var contactsData = REST.get("/contacts").collection.itens;
-	if(contactsData){
-		$.each(contactsData, function(index, value){
-			var contact = {
-				id : parseInt(value.data[0].value),
-				name : value.data[1].value,
-				email : value.data[2].value,
-				value: value.data[1].value + " - " + value.data[2].value,
-				type: "P"
-			};
-			dynamicPersonalContacts.push(contact);
-		});
-	}
+
+    var personalContacts = REST.get("/personalContact");
+
+    if(personalContacts.collection && !personalContacts.collection.error){
+        var contactsData = normalizeContacts(personalContacts.collection.itens);
+        if(contactsData){
+            $.each(contactsData, function(index, value){
+                var contact = {
+                    id : parseInt(value.id),
+                    name : value.name,
+                    email: value.email,
+                    value: value.name+ " - " + value.email,
+                    type: "P"
+                };
+                dynamicPersonalContacts.push(contact);
+            });
+        }
+    }
+}
+
+function normalizeContacts(data){
+    var decoded = [];
+
+    if(!$.isArray(data)){data = [data];}
+    for(var i = 0; i < data.length; i++){
+        var item = {};
+        $.each(data[i].data, function(j, e){
+            item[e.name] = e.value;
+        });
+        decoded.push(item);
+    }
+    return decoded;
 }
 